# eric4.Checks.PyLint.__init__

Package implementing the interface to the PyLint source code checker.

### Classes

PyLint | Class implementing the high level PyLint interface.

### Functions

None

## PyLint

Class implementing the high level PyLint interface.

### Derived from

QObject

### Methods

PyLint | Constructor
__pyLintShow | Private slot to show the PyLint dialog with the results of the last run.
checkActions | Public slot to activate/deactivate action upon display of the menu.
closeAllWindows | Public method to close all windows.
getActions | Public method to get a list of all actions.
initActions | Public method to initialize the PyLint actions.
initMenu | Public method called to build the Checkers submenu.
pyLint | Public method used to perform a PyLint run.

#### PyLint (Constructor)

PyLint(projectOrBrowser, parent)

Constructor

projectOrBrowser
  reference to the project or project browser object
parent
  parent object of this class (QObject)

#### PyLint.__pyLintShow

__pyLintShow()

Private slot to show the PyLint dialog with the results of the last run.

#### PyLint.checkActions

checkActions()

Public slot to activate/deactivate action upon display of the menu.

#### PyLint.closeAllWindows

closeAllWindows()

Public method to close all windows.

#### PyLint.getActions

getActions()

Public method to get a list of all actions.

Returns:
  list of all actions (list of E4Action)

#### PyLint.initActions

initActions()

Public method to initialize the PyLint actions.

#### PyLint.initMenu

initMenu(menu)

Public method called to build the Checkers submenu.

menu
  reference to the menu to add the actions to (QMenu)

#### PyLint.pyLint

pyLint(project, mpName)

Public method used to perform a PyLint run.

project
  reference to the Project object
mpName
  name of module or package to be checked (string or QString)

Up